MR-E-2 SDK

Public Member Functions | Properties | List of all members
MrE2ModuleSdk.Device.IMrE2ForMr15Dash30SdkComDeviceController Interface Reference
Inheritance diagram for MrE2ModuleSdk.Device.IMrE2ForMr15Dash30SdkComDeviceController:

## Public Member Functions
bool | Connect (int port)
| Connects to the device on given port More...
void | Disconnect ()
| Disconnects from the device More...
bool | GoToDfuMode ()
| Switches device to DFU mode More...
bool | ChangeModeToPro ()
| Switches device to PRO mode More...
bool | ChangeModeToSimple ()
| Switches device to SIMPLE mode More...
bool | IsConnected ()
| Returns true, if connection to device is established More...
bool | Reconnect ()
| Reconnects to already connected device More...
string | GetElectronicSerialNumber ()
| Returns serial number of the electronic More...
string | GetProductSerialNumber ()
| Returns serial number of the product More...

## Properties
IStatus | Status`[get]`
IBoardEeprom | BoardEeprom`[get]`
IDeviceEeprom | DeviceEeprom`[get]`
ITemperatureManager | TemperatureManager`[get]`
IOpticalFeedbackManager | OpticalFeedbackManager`[get]`
ILogger | Logger`[get]`
IMiscellaneousFeatures | MiscellaneousFeatures`[get]`
IMemoryManager | MemoryManager`[get]`
ISnapshotManager | SnapshotManager`[get]`
IVectorAdapter | VectorAdapter`[get]`
ISpi | Spi`[get]`
II2C | I2C`[get]`
ISignalFlowManager | SignalFlowManager`[get]`

## Member Function Documentation

## ◆ ChangeModeToPro()

bool MrE2ModuleSdk.Device.IMrE2ForMr15Dash30SdkComDeviceController.ChangeModeToPro | ( |  | ) |

Switches device to PRO mode

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ChangeModeToSimple()

bool MrE2ModuleSdk.Device.IMrE2ForMr15Dash30SdkComDeviceController.ChangeModeToSimple | ( |  | ) |

Switches device to SIMPLE mode

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ Connect()

bool MrE2ModuleSdk.Device.IMrE2ForMr15Dash30SdkComDeviceController.Connect | ( | int | port | ) |

Connects to the device on given port

Parameters

  port |

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ Disconnect()

void MrE2ModuleSdk.Device.IMrE2ForMr15Dash30SdkComDeviceController.Disconnect | ( |  | ) |

Disconnects from the device

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetElectronicSerialNumber()

string MrE2ModuleSdk.Device.IMrE2ForMr15Dash30SdkComDeviceController.GetElectronicSerialNumber | ( |  | ) |

Returns serial number of the electronic

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetProductSerialNumber()

string MrE2ModuleSdk.Device.IMrE2ForMr15Dash30SdkComDeviceController.GetProductSerialNumber | ( |  | ) |

Returns serial number of the product

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GoToDfuMode()

bool MrE2ModuleSdk.Device.IMrE2ForMr15Dash30SdkComDeviceController.GoToDfuMode | ( |  | ) |

Switches device to DFU mode

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ IsConnected()

bool MrE2ModuleSdk.Device.IMrE2ForMr15Dash30SdkComDeviceController.IsConnected | ( |  | ) |

Returns true, if connection to device is established

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ Reconnect()

bool MrE2ModuleSdk.Device.IMrE2ForMr15Dash30SdkComDeviceController.Reconnect | ( |  | ) |

Reconnects to already connected device

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

The documentation for this interface was generated from the following file:

- Device/MrE2SdkComDeviceController.cs